# PSF-LoginServer - master - net.psforever.objects.zones.HotSpotInfo
PSF - LoginServer - master - net.psforever.objects.zones.HotSpotInfo
Keywords: PSF LoginServer master net.psforever.objects.zones.HotSpotInfo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# HotSpotInfo

###

#### class HotSpotInfo extends AnyRef

Information necessary to determine if a hotspot should be displayed. Hotspots are used on the zone maps to indicate activity. Each of the factions will view different hotspot configurations but one faction may encounter hotspots in the same places as another faction with information referring to the same encounter.

Source
  HotSpotInfo.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HotSpotInfo
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new HotSpotInfo(DisplayLocation: Vector3)

   DisplayLocation

     the coordinates where the hotspot will be depicted on some zone's map

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Activity: Map[types.PlanetSideEmpire.Value, ActivityReport]
5.  def ActivityBy(faction: types.PlanetSideEmpire.Value): Boolean

   Does a specific faction claim a current level of activity that they might see this hotspot?

   Does a specific faction claim a current level of activity that they might see this hotspot?

   faction

     the faction

   returns

     `true`, if the heat level is non-zero; `false`, otherwise

6.  def ActivityBy(): Set[types.PlanetSideEmpire.Value]

   Which factions claim a current level of activity that they might see this hotspot?

   Which factions claim a current level of activity that they might see this hotspot?

   returns

     the active factions

7.  def ActivityFor(faction: types.PlanetSideEmpire.Value): Option[ActivityReport]
8.  val DisplayLocation: Vector3
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped